> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get batch transfer status by given ID

> This operation will respond with a batch transfer status for the given batch transfer ID.



## OpenAPI

````yaml transfer get /v1/a2a/batches/{id}/status
openapi: 3.0.3
info:
  version: '1'
  title: Transfer API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/transfer
    description: Live environment
security: []
tags:
  - name: Account to account batch transfer
paths:
  /v1/a2a/batches/{id}/status:
    get:
      tags:
        - Account to account batch transfer
      summary: Get batch transfer status by given ID
      description: >-
        This operation will respond with a batch transfer status for the given
        batch transfer ID.
      operationId: getAccountToAccountBatchTransferStatus
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The batch transfer ID to fetch
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful lookup of batch transfer status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/batchTransferResponseWithoutTransferItems'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
components:
  schemas:
    batchTransferResponseWithoutTransferItems:
      allOf:
        - $ref: '#/components/schemas/createBatchTransferResponse'
        - type: object
          properties:
            completionTime:
              $ref: '#/components/schemas/dateTime'
              description: Batch transfer completion time.
              example: '2023-11-29T15:31:00'
            successfulTransferItems:
              type: integer
              description: Number of successful transfer items in the batch.
              example: 1
            failedTransferItems:
              type: integer
              description: Number of failed transfer items in the batch.
              example: 1
      title: BatchTransferResponseWithoutTransferItems
    createBatchTransferResponse:
      type: object
      required:
        - id
        - status
        - startTime
        - transferItemCount
      properties:
        id:
          type: string
          description: Enfuce generated id for batch transfer.
          example: '11221122'
        status:
          type: string
          enum:
            - IN_PROGRESS
            - COMPLETED
            - FAILED
            - COMPLETED_WITH_ERRORS
          description: >-
            Batch transfer status. `IN_PROGRESS` - Successfully created but not
            yet complited batch transfer. `COMPLETED` - Successfully completed
            batch transfer. `FAILED` - Completely or partially failed batch
            transfer.
          example: IN_PROGRESS
        description:
          type: string
          description: Free form description.
          example: Test batch transfer
        startTime:
          $ref: '#/components/schemas/dateTime'
          description: Batch transfer start time.
          example: '2023-11-29T14:57:00'
        transferItemCount:
          type: integer
          description: Number of transfer items in the batch.
          example: 2
        totalAmount:
          type: object
          description: Map of total amount per currency.
          additionalProperties:
            type: number
          example:
            EUR: 100
            NOK: 150
      title: CreateBatchTransferResponse
    dateTime:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '500':
      description: API is having problems
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````